Uploaded image for project: 'Shiro'
  1. Shiro
  2. SHIRO-189

Make existing Shiro .jars OSGi bundles

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.1.0
    • Component/s: None
    • Labels:
      None

      Description

      In order to deploy Shiro in OSGi environments, the appropriate OSGi Manifest entries need to be added to the existing .jars. This change would be 100% backwards compatible as there is no code changes - only MANIFEST.MF additions.

      A more comprehensive OSGi update where more .jars could be created is not within the scope of this issue. If that is to be done, a new issue will be created and probably slated for Shiro 2.x, considering that it would probably incur backwards-incompatible package arrangements.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                lhazlewood Les Hazlewood
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: